### Method

# Devhelp Settings get_selected_fonts

since: 3.30

#### Declaration [src]

    void
    dh_settings_get_selected_fonts (
      DhSettings* settings,
      gchar** variable_font,
      gchar** fixed_font
    )

#### Description [src]

If `DhSettings:use-system-fonts` is `TRUE`, returns the system fonts. Otherwise returns the values of the `DhSettings:variable-font` and `DhSettings:fixed-font` properties.

Available since: 3.30

#### Parameters

`variable_font`

  Type: `gchar**`

  Location to store the font name for text with variable width. Free with g_free().

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`fixed_font`

  Type: `gchar**`

  Location to store the font name for text with fixed width. Free with g_free().

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.